Get the last news of a project, the newest first. A news is made when a comment is posted on a task. Clients cannot use this route.
Query parameters
-
Get the news before this date. Date in the ISO 8601 format, for example 2026-10-28T10:00:00
-
Get the news after this date. Date in the ISO 8601 format, for example 2026-10-28T10:00:00
-
Page to get
Default value is
1. -
Number of news in a page
Default value is
50. -
Get only the news of this author
-
Get only the news of this task type
-
Get only the news of this task status
-
Get only the news of this episode
-
Get only the news with a preview
Default value is
false.
GET
/data/projects/{project_id}/news
curl
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/news?before=2022-07-12&after=2022-07-12&page=1&limit=50&person_id=a24a6ea4-ce75-4665-a070-57453082c25&task_type_id=a24a6ea4-ce75-4665-a070-57453082c25&task_status_id=a24a6ea4-ce75-4665-a070-57453082c25&episode_id=a24a6ea4-ce75-4665-a070-57453082c25&only_preview=false" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/news"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"before": "2022-07-12",
"after": "2022-07-12",
"page": 1,
"limit": 50,
"person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"task_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"task_status_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"episode_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"only_preview": false
}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Response examples (200)
{
"data": [
{}
],
"stats": {},
"total": 42,
"nb_pages": 42,
"limit": 42,
"offset": 42,
"page": 42
}